## boomaga 3.0.0+git13-g7f7ad47

=== debian/changelog ===
boomaga (3.0.0+git13-g7f7ad47-1build6) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 17 Jan 2025 14:13:10 -0500

boomaga (3.0.0+git13-g7f7ad47-1build5) oracular; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jun 2024 07:52:27 -0400

boomaga (3.0.0+git13-g7f7ad47-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:43 +1100

boomaga (3.0.0+git13-g7f7ad47-1build3) noble; urgency=medium

  * No-change rebuild against libpoppler-cpp0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 17:12:18 +1300

boomaga (3.0.0+git13-g7f7ad47-1build2) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:44:54 +1300

boomaga (3.0.0+git13-g7f7ad47-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:59:00 +0000

boomaga (3.0.0+git13-g7f7ad47-1) unstable; urgency=medium

  * Package upstream snapshot.
    - Fix incompatibility with GhostScript 9.54 (Closes: #998283).
    - Fix some typos.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Bump debhelper compatibility to 13, using debian-compat in Build-Depends.
  * Set Rules-Requires-Root: no.
  * Bump watch version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 10 Sep 2023 12:50:03 -0300
